cancel
Showing results for 
Search instead for 
Did you mean: 

Oculus 1.3 Requires Unity 5.3.4p1 + New OVRPlugin for Unity 5

cybereality
Level 15
To develop for Oculus 1.3 you'll NEED to specifically be using Unity 5.3.4p1:
https://unity3d.com/unity/qa/patch-releases

You will also NEED to download the OVRPlugin separately and patch Unity:
https://developer.oculus.com/downloads/game-engines/1.3.0/OVRPlugin_for_Unity_5/

Finally, you'll have to update the Oculus Unity Utilities:
https://developer.oculus.com/downloads/game-engines/1.3.0/Oculus_Utilities_for_Unity_5/

If you have any questions, please let me know. Thanks.
AMD Ryzen 7 1800X | MSI X370 Titanium | G.Skill 16GB DDR4 3200 | EVGA SuperNOVA 1000 | Corsair Hydro H110i Gigabyte RX Vega 64 x2 | Samsung 960 Evo M.2 500GB | Seagate FireCuda SSHD 2TB | Phanteks ENTHOO EVOLV
40 REPLIES 40

piggy1
Level 2
5.4.0 beta? or maybe soonish?

kevinseven
Level 2
5.4.0b8 seems to work but 5.4.0b11 crashes to the desktop when you hit play or just never kicks off the HMD. The Oculus Lobby always stays live.

*EDIT

Nevermind. Forgot to delete and overwrite the contents of C:\Program Files\Unity\Editor\Data\VR\oculus with the OVRPlugin_for_Unity_5. 5.4.0b11 seems to work okay now.

Dukealicious
Level 4
I got it working with Unity 5.4.0b11.  I can continue development but builds are crashing for me when they didn't before 1.3.  Could just be my game but I wouldn't recommend using it with the beta.  

MikeF
Level 10
Is there any way to delegate the oculus app to the system tray instead of the taskbar?
Or just not have it running when in the unity editor?

PixelRouter
Level 3
Did you guys drop DK2 support?

I've done all this and get "Initialization of Device Oculus Failed".

I've still got runtime 0.8 installed too. Is there a new runtime installer or something I'm missing?

MikeF
Level 10
PixelRouter, you'l have to uninstall 0.8 and grab https://www.oculus.com/en-us/setup/

Another question, i'm getting a much lighter image in the rift vs. onscreen now, and i also have a blue bar to the right about 50 pixels wide visible on both the monitor and rift, any ideas?

dshankar
Level 2
We noticed a big problem with Unity 5.3.4p1 + Oculus 1.3 runtime + OVRPlugin 1.3.0 + Oculus Utilities 1.3.0:

Setting VRSettings.renderScale makes the application render at ~2 frames per second.

We isolated that line of code. Commenting out `VRSettings.renderScale =` brought us back to full frame rate.
Software engineer, startup founder, Y Combinator alum. @dshankar

cybereality
Level 15
What are you setting renderScale to?
Have you tried modifying in the editor rather than in code?
AMD Ryzen 7 1800X | MSI X370 Titanium | G.Skill 16GB DDR4 3200 | EVGA SuperNOVA 1000 | Corsair Hydro H110i Gigabyte RX Vega 64 x2 | Samsung 960 Evo M.2 500GB | Seagate FireCuda SSHD 2TB | Phanteks ENTHOO EVOLV

LittleCloud
Level 3
Hi guys!
I'm having a problem with plugin 1.3: 
VR: OpenVR Error! OpenVR failed initialization with error code VRInitError_Init_HmdNotFound: "Hmd Not Found (108)"!

Do you know why it doesn't find my DK2? The Oculus app works perfectly with it.
I installed Unity 5.4.0b11 + Oculus 1.3 runtime + OVRPlugin 1.3.0 + Oculus Utilities 1.3.0